%define name chkrootkit
%define version 0.35
%define release 1mdk

Summary: Check rootkits
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.pangeia.com.br/pub/seg/pac/%{name}-%{version}.tar.bz2
Patch0: chkrootkit-0.35-lib-path.patch.bz2
URL: http://www.chkrootkit.org/
License: BSD
Group: Monitoring
Requires: binutils, fileutils, findutils, gawk, grep, net-tools, procps, sed, sh-utils, textutils
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Chkrootkit is a tool to locally check for signs of a rootkit.

%prep
%setup
%patch -p1 -b .lib-path

%build

%make CFLAGS="-DHAVE_LASTLOG_H -DLASTLOG_FILENAME='\"/var/log/lastlog\"' -DWTEMP_FILENAME='\"/var/log/wtmp\"'" LDFLAGS=-static

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir} $RPM_BUILD_ROOT/%{_libdir}/%{name}
install chkrootkit $RPM_BUILD_ROOT/%{_sbindir}
install check_wtmpx chklastlog chkproc chkwtmp ifpromisc strings $RPM_BUILD_ROOT/%{_libdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README* COPYRIGHT
%{_sbindir}/*
%{_libdir}/%{name}

%changelog
* Mon Jan 21 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.35-1mdk
- 0.35

* Wed May  9 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.32-1mdk
- first version.

# end of file
